Bug 146984 - Headers that use WEBCORE_EXPORT should include PlatformExportMacros.h
Summary: Headers that use WEBCORE_EXPORT should include PlatformExportMacros.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Aakash Jain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-15 15:42 PDT by Anders Carlsson
Modified: 2017-02-27 17:45 PST (History)
7 users (show)

See Also:


Attachments
Patch (10.18 KB, patch)
2015-07-15 15:44 PDT, Anders Carlsson
dbates: review+
Details | Formatted Diff | Diff
Another patch (4.65 KB, patch)
2016-02-04 11:57 PST, Aakash Jain
ap: review-
ap: commit-queue-
Details | Formatted Diff | Diff
Updated patch (3.95 KB, patch)
2016-02-08 16:11 PST, Aakash Jain
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Carlsson 2015-07-15 15:42:57 PDT
Headers that use WEBCORE_EXPORT should include PlatformExportMacros.h
Comment 1 Anders Carlsson 2015-07-15 15:44:32 PDT
Created attachment 256870 [details]
Patch
Comment 2 Anders Carlsson 2015-07-16 10:22:52 PDT
Committed r186894: <http://trac.webkit.org/changeset/186894>
Comment 3 Aakash Jain 2016-02-04 11:57:56 PST
Created attachment 270678 [details]
Another patch

Further changes.
Comment 4 Alexey Proskuryakov 2016-02-04 14:51:29 PST
Comment on attachment 270678 [details]
Another patch

r- since the build is broken, per EWS.
Comment 5 Aakash Jain 2016-02-08 16:11:54 PST
Created attachment 270892 [details]
Updated patch

reverted bindings/objc/WebScriptObject.h, we don't really need that change.
Comment 6 Alexey Proskuryakov 2016-02-09 20:47:35 PST
Comment on attachment 270892 [details]
Updated patch

View in context: https://bugs.webkit.org/attachment.cgi?id=270892&action=review

> Source/WebCore/platform/ios/wak/WebCoreThread.h:36
> +// Use __has_include here so that things work when rewritten into WebKitLegacy headers.
> +#if __has_include(<WebCore/PlatformExportMacros.h>)
> +#import <WebCore/PlatformExportMacros.h>
> +#endif

This is not great, because the cruft leaks into WebKitLegacy SPI headers. But it seems OK to me.
Comment 7 WebKit Commit Bot 2016-02-09 21:36:51 PST
Comment on attachment 270892 [details]
Updated patch

Clearing flags on attachment: 270892

Committed r196360: <http://trac.webkit.org/changeset/196360>